pkgkde-mark-qt5-private-symbols(1)

NAME
pkgkde-mark-qt5-private-symbols - a helper tool to mark private symbols in Qt symbols files

SYNOPSIS
pkgkde-mark-qt5-private-symbols [ --write-results | --print-diff ]

DESCRIPTION
pkgkde-mark-qt5-private-symbols is a helper tool to mark private symbols inside symbols files based on version tags inserted by the Qt buildsystem.

Symbols that are tagged with Qt_5_PRIVATE_API will be marked as private.

If --print-diff option is passed, this script will print the diff into stdout instead of overwriting the original symbols files.

LICENSE
This program is free software distributed under the terms of the Expat license.

AUTHORS
Dmitry Shachnev <mitya57@debian.org>